require("guiLib/guiLib")

-- Create screen
menuScreen = CreateScreen("menuScreen", ScreenConfig(screenSize))

-- Game on background
local tmp = menuScreen:CreateScreenRenderer("gameRenderer")
tmp:SetTargetScreen(gameScreen)

-- Blur
local tmp = menuScreen:CreatePostFX("blurEffect")
tmp:LoadFromFile(GetCommonDataPath() .. "/blur.sfx")

-- Color rect
menuScreen:CreateShapeRectangle("whiteRect", Vector2D(0, 0), screenSize, Color(255, 255, 255, 100), 0, Color(0, 0, 0))


local btSize = texMenuBtNormal:GetSize()

-- The menu
local bt = menuScreen:CreateGroup("backBt")
buttonControlCreate(bt, _("Back"), btSize)
buttonSetEventFunction(bt, function() ChangeScreen(gameScreen); end)
buttonSetFont(bt, 34, Color(0, 0, 0))
buttonSetImagePack(bt, texMenuBtNormal, texMenuBtOver, texMenuBtPressed)
bt:SetPosition(Vector2D(screenSize.x / 2 - btSize.x / 2, screenSize.y / 2 - 225))

local bt = menuScreen:CreateGroup("newGameBt")
buttonControlCreate(bt, _("New Game"), btSize)
buttonSetEventFunction(bt, 	function()
								if life == 0 then -- Perdu => Pas de confirmation
									LoadMode("Maxishoot2")
								else
									popupDialog(menuScreen, "dialogYesNo", _("Do you really want to start a new game ?"), function() LoadMode("Maxishoot2"); end, function() end)
								end
							 end)
buttonSetFont(bt, 34, Color(0, 0, 0))
buttonSetImagePack(bt, texMenuBtNormal, texMenuBtOver, texMenuBtPressed)
bt:SetPosition(Vector2D(screenSize.x / 2 - btSize.x / 2, screenSize.y / 2 - 135))

local bt = menuScreen:CreateGroup("storeBt")
buttonControlCreate(bt, _("Store"), btSize)
buttonSetEventFunction(bt, gameOnStore)
buttonSetFont(bt, 34, Color(0, 0, 0))
buttonSetImagePack(bt, texMenuBtNormal, texMenuBtOver, texMenuBtPressed)
bt:SetPosition(Vector2D(screenSize.x / 2 - btSize.x / 2, screenSize.y / 2 - 45))

local bt = menuScreen:CreateGroup("scoreBt")
buttonControlCreate(bt, _("Scores"), btSize)
buttonSetEventFunction(bt, function() ChangeScreen(scoreScreen) end)
buttonSetFont(bt, 34, Color(0, 0, 0))
buttonSetImagePack(bt, texMenuBtNormal, texMenuBtOver, texMenuBtPressed)
bt:SetPosition(Vector2D(screenSize.x / 2 - btSize.x / 2, screenSize.y / 2 + 45))

local bt = menuScreen:CreateGroup("helpBt")
buttonControlCreate(bt, _("Help"), btSize)
buttonSetEventFunction(bt, function() ChangeScreen(keysTutoScreen) end)
buttonSetFont(bt, 34, Color(0, 0, 0))
buttonSetImagePack(bt, texMenuBtNormal, texMenuBtOver, texMenuBtPressed)
bt:SetPosition(Vector2D(screenSize.x / 2 - btSize.x / 2, screenSize.y / 2 + 135))

local bt = menuScreen:CreateGroup("quitBt")
buttonControlCreate(bt, _("Quit"), btSize)
buttonSetEventFunction(bt, function() popupDialog(menuScreen, "dialogYesNo", _("Do you really want to quit ?"), function() LoadMode("Menu"); end, function() end); end)
buttonSetFont(bt, 34, Color(0, 0, 0))
buttonSetImagePack(bt, texMenuBtNormal, texMenuBtOver, texMenuBtPressed)
bt:SetPosition(Vector2D(screenSize.x / 2 - btSize.x / 2, screenSize.y / 2 + 225))



-- Event go back to game
menuScreen:RegisterButtonEvent(function()
									if life ~= 0 then
										ChangeScreen(gameScreen)
									end
								end, "Escape", true)
